{
	"pages": [
		{
			"path": "pages/index/index",
			"style": {
				"navigationStyle": "custom",
				"enablePullDownRefresh": true
			}
		},
		{
			"path": "pages/index/shop",
			"style": {
				"navigationStyle": "custom",
				"enablePullDownRefresh": true
			}
		},
		{
			"path": "pages/index/activity",
			"style": {
				"navigationStyle": "custom",
				"enablePullDownRefresh": true
			}
		},
		{
			"path": "pages/index/community",
			"style": {
				"navigationBarTitleText": "社区",
				"enablePullDownRefresh": true
			}
		},
		{
			"path": "pages/index/my",
			"style": {
				"navigationStyle": "custom",
				"enablePullDownRefresh": true
			}
		}
	],
	"subPackages":[
		{
			"root": "subPages",
			"pages":[
				{
					"path": "index/announcement",
					"style": {
						"navigationBarTitleText": "公告",
						"enablePullDownRefresh": true
					}
				},
				{
					"path": "login/login",
					"style": {
						"navigationStyle": "custom"
					}
				},
				{
					"path": "login/userInfo",
					"style": {
						"navigationBarTitleText": "用户信息",
						"navigationBarBackButtonHidden": true
					}
				},
				{
					"path": "index/announcementDetail",
					"style": {
						"navigationBarTitleText": "公告详情"
					}
				},
				{
					"path": "index/ranking",
					"style": {
						"navigationStyle": "custom",
						"enablePullDownRefresh": true
					}
				},
				{
					"path": "index/volunteerApply",
					"style": {
						"navigationBarTitleText": "申请志愿者"
					}
				},
				{
					"path": "index/organizationIntroduction",
					"style": {
						"navigationBarTitleText": "组织介绍"
					}
				},
				{
					"path": "index/activityCalendar",
					"style": {
						"navigationBarTitleText": "活动日历",
						"enablePullDownRefresh": true
					}
				},
				{
					"path": "index/activityDetail",
					"style": {
						"navigationBarTitleText": "活动详情",
						"enablePullDownRefresh": true
					}
				},
				{
					"path": "shop/goodsDetail",
					"style": {
						"navigationBarTitleText": "商品详情"
					}
				},
				{
					"path": "shop/pointsDetail",
					"style": {
						"navigationBarTitleText": "积分详情",
						"enablePullDownRefresh": true
					}
				},
				{
					"path": "community/publishPost",
					"style": {
						"navigationBarTitleText": "发布动态"
					}
				},
				{
					"path": "my/activityFavorites",
					"style": {
						"navigationBarTitleText": "活动收藏",
						"enablePullDownRefresh": true
					}
				},
				{
					"path": "my/myProfile",
					"style": {
						"navigationBarTitleText": "我的资料"
					}
				},
				{
					"path": "my/myRegistrations",
					"style": {
						"navigationBarTitleText": "我的报名",
						"enablePullDownRefresh": true
					}
				},
				{
					"path": "my/myActivityDetail",
					"style": {
						"navigationBarTitleText": "活动详情"
					}
				},
				{
					"path": "my/exchangeRecord",
					"style": {
						"navigationBarTitleText": "兑换记录",
						"enablePullDownRefresh": true
					}
				},
				{
					"path": "my/exchangeDetail",
					"style": {
						"navigationBarTitleText": "商品详情",
						"enablePullDownRefresh": true
					}
				},
				{
					"path": "my/productFavorites",
					"style": {
						"navigationBarTitleText": "商品收藏",
						"enablePullDownRefresh": true
					}
				},
				{
					"path": "my/activityCheckin",
					"style": {
						"navigationBarTitleText": "活动签到",
						"enablePullDownRefresh": true
					}
				},
				{
					"path": "my/checkinCode",
					"style": {
						"navigationBarTitleText": "签到码"
					}
				},
				{
					"path": "my/signupSuccess",
					"style": {
						"navigationBarTitleText": "报名成功!"
					}
				}
			]
		}
	],
	
	"preloadRule": {
		"pages/index/index": {
			"network": "all",
			"packages": ["subPages"]
		}
	},
	"globalStyle": {
		"navigationBarTextStyle": "white",
		"navigationBarTitleText": "uni-app",
		"navigationBarBackgroundColor": "#1488DB",
		"backgroundColor": "#218CDD"
		// "enablePullDownRefresh": true
	},
	"tabBar": {
		"color": "#999999",
		"selectedColor": "#2E66F4",
		"borderStyle": "white",
		"backgroundColor": "#ffffff",
		"list": [
			{
				"pagePath": "pages/index/index",
				"text": "主页",
				"iconPath": "static/主页.png",
				"selectedIconPath": "static/主页_点击.png"
			},
			{
				"pagePath": "pages/index/shop",
				"text": "商城",
				"iconPath": "static/商城.png",
				"selectedIconPath": "static/商城_点击.png"
			},
			{
				"pagePath": "pages/index/activity",
				"text": "活动",
				"iconPath": "static/活动.png",
				"selectedIconPath": "static/活动_点击.png"
			},
			{
				"pagePath": "pages/index/community",
				"text": "社区",
				"iconPath": "static/社区.png",
				"selectedIconPath": "static/社区_点击.png"
			},
			{
				"pagePath": "pages/index/my",
				"text": "我的",
				"iconPath": "static/我的.png",
				"selectedIconPath": "static/我的_点击.png"
			}
		]
	}
}
